package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFG32Data {

    private Map<String, Object> params;
    
    public MWFG32Data(Map<String, Object> params) {
        this.params = params;
    }

    public Long rsId() {
        return (Long) params.get("RS_ID");
    }

    public String rsName() {
        return (String) params.get("RS_NAME");
    }

    public Double rsMaxAmount() {
        return (Double) params.get("RS_MAX_AMOUNT");
    }

    public Double rsMinAmount() {
        return (Double) params.get("RS_MIN_AMOUNT");
    }

    public Long rsMaxMaturity() {
        return (Long) params.get("RS_MAX_MATURITY");
    }

    public Long rsMinMaturity() {
        return (Long) params.get("RS_MIN_MATURITY");
    }

    public Long rsMaxLtv() {
        return (Long) params.get("RS_MAX_LTV");
    }

    public Long rsMinLtv() {
        return (Long) params.get("RS_MIN_LTV");
    }

    public Long rsMaxOffset() {
        return (Long) params.get("RS_MAX_OFFSET");
    } 

}
